#
# spec file for package python-six-doc
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-six-doc
Version:        1.9.0
Release:        8.2
Url:            http://pypi.python.org/pypi/six/
Summary:        Python 2 and 3 compatibility utilities
License:        MIT
Group:          Development/Libraries/Python
Source:         http://pypi.python.org/packages/source/s/six/six-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-Sphinx
BuildRequires:  python-devel
BuildArch:      noarch

%description
Six is a Python 2 and 3 compatibility library. It provides utility 
functions for smoothing over the differences between the Python 
versions with the goal of writing Python code that is compatible on 
both Python versions. See the documentation for more information on 
what is provided.

%prep
%setup -q -n six-%{version}

%build
# due to cyclic requirements between Sphinx and six,
# documentation is build in its own package <hpj@urpla.net>
cd documentation && make html && rm _build/html/.buildinfo

%install

%files
%defattr(-,root,root)
%doc LICENSE README documentation/_build/html

%changelog
* Thu Apr 16 2015 hpj@urpla.net
- first build of separated docs due to cyclic requirements of
  six and Sphinx.
